Starting today you need Windows Phone 7.5 to use Marketplace

Windows Phone Blog - Today’s the day. This afternoon we started requiring Windows Phone 7.5 on phones to download, buy, update, or review apps in Marketplace. As I’ve written previously, this change applies to both the phone and web Marketplace storefronts. (If you’re just tuning in, please read my earlier post for the full details on why we’re implementing this new requirement.)

Read Full Story >>
The story is too old to be commented.